Tutorial Navigation

Welcome to SolidWorks Tutorials! On the top of the main tutorial screen, you can see 10 tabs, all labelled differently. These are where you can find all the SolidWorks tutorials.

While everything you need to learn should be in the University of Alberta tutorials, if you ever need a second point of view on how to perform a task, feel free to search through and do any of the other tutorials within this Tutorial interface.

Most of these tutorials will follow the same template. They will be a step-by-step guide to create a part, assembly, or drawing, that you create while going through the tutorial. To navigate through the tutorials, use the Next Topic or Previous Topic buttons at the bottom of the tutorial window.

Or click Show [image] in the top left corner of the tutorial window to open a flyout of all the different pages to quickly choose where you want to go. Click Hide [image] to close it.

These tutorials also make use of "FlashIt Buttons". These, once clicked, will flash the corresponding button in the SolidWorks window to show you where the button is located. To indicate that it is a FlashIt button, the button will have an orange border around it. For example. this will flash the new button [image] .

  1. Carousels
    • The following image is referred to as a "carousel".
    • Navigate through the images by pressing the "next" arrow in the green box, or the "previous" arrow in the red box.
    • There will often be text embedded in the images, so hover over the carousel with the mouse to see the text.
      • ← →
  2. Interactive text

    Any text that looks like this will take you to another page.

  3. Notes

    If you accidentally click a link to open a file, but the file is already open, your computer will return an error. Click yes and continue on.

    If there is ever an "ActiveX" warning, click OK and continue on.

Next topic
Basic Terminology


Basic Terminology

This is an introduction to the terminology that you'll see throughout the Solidworks tutorials.

For an introduction to the various aspects of the Solidworks interface, maximize this page and hover over the sections highlighted in red in the image below.

Previous topic
Tutorial Navigation
Next topic
Toolbars


Toolbars

In this page open a part document, then add and move various toolbars around.

  1. Click New [image] . Open a new part [image]. You should now see the main part editing page.
    2. Note: If Solidworks says some templates are not present, hit OK. In the "New SOLIDWORKS Document" dialogue window, hit Advanced, navigate to the Tutorial tab, select part, and hit OK.
  2. Solidworks loads in some basic tabs that you may need. To change which tabs you see on the CommandManager, right click on any tab and select what tabs you want to see.

  3. Solidworks also supports toolbars outside of the CommandManager, and there are many more of these. To access these toolbars, click View > Toolbars in the Menu Bar and select one that you would want to add. Doing this will place the toolbar somewhere on your screen. You can move these around and have them free-floating, or you can snap them to any side of the screen.

Previous topic
Basic Terminology
Next topic
Solidworks Navigation


Solidworks Navigation

This page will go through various Solidworks features that are worth learning and revisiting later in the course.

This page will go over some helpful shortcuts in Solidworks.

  • The list below contains keyboard shortcuts and mouse gestures, as well as corresponding explanations and videos in order to optimize the time spent in Solidworks:

    Click here to open a new part to test the following features.

    • Press F9 to expand/collapse the FeatureManager, PropertyManager, or ConfigurationManager.

    • Press the spacebar to open the orientation selection box.

    • The scrollwheel on the mouse zooms into and out of the page.

    • Clicking and holding down the scrollwheel on the mouse while moving it will rotate the view.

    • Pressing Ctrl and clicking and holding the scrollwheel pans the view.

    • Pressing Shift and clicking and holding the scrollwheel zooms the view.

    • Pressing Alt and clicking and holding the scrollwheel rolls the view.

    • Pressing the arrow keys rotates the view.

    • Pressing Ctrl and the arrow keys pans the view.

    • Pressing Shift and the arrow keys rotates the view 90 degrees.

    • Pressing Alt and the left or right arrow keys rolls the view.

    Click here to open a new assembly to test the following features.

    • Clicking and dragging a part will move it in an assembly.

    • Right-clicking and dragging a part will rotate it in an assembly.

    • Previous topic
    Toolbars
    Next topic
    Conclusion


Conclusion

Congratulations! You have completed this tutorial.

Summary

The learning objectives of this tutorial were to introduce the Solidworks and tutorial interfaces, including:

  • Tutorial terminology
  • How to navigate through the tutorials
  • Basic Solidworks terminology
  • Solidworks toolbar navigation
  • Basic Solidworks Navigation
  • Some brief tools to optimize time used in Solidworks

Additional Resources

Solidworks Web Help

Solidworks Web Help is the official online help website for Solidworks software. It contains detailed explanations and examples of all features available. Definitely a great resource if you need to use features and properties that are not mentioned in this tutorial.

Acknowledgements

This tutorial was planned and written by Alex Madsen and Christopher Taschuk under the directions of Dr. Nobes (2016). Property of the Mechanical Engineering Department, University of Alberta.

Previous topic
Solidworks Navigation